Bug 109349 - Mouse Buttons don't respond as they did in 2.4.x
Summary: Mouse Buttons don't respond as they did in 2.4.x
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-06 23:06 UTC by Scott Baker
Modified: 2015-01-04 22:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-28 06:12:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Baker 2003-11-06 23:06:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
The "emulate three buttons" mouse option doesn't work as desired with
Kernel 2.6.0

Version-Release number of selected component (if applicable):
kernel-2.6.0-test8 and kernel-2.6.0-test8

How reproducible:
Always

Steps to Reproduce:
1. Install aranj's 2.6.0 kernel RPM
2. Reboot into kernel 2.6.0
3. StartX
4. Select some text
5. Try pasting the text with both left and right mouse buttons at the
same time
    

Actual Results:  It pastes the text and ALSO brings up the context
menu for the right mouse button.

Expected Results:  Just paste the text.  

Additional info:

The exact same configuration, if rebooted in to 2.4.22 works as
desired.  The kernel rpm exhibits the same behavior under RH 9 and on
two different machines.

Comment 1 Scott Baker 2003-11-06 23:09:18 UTC
This was a suggestion from the mailing list, however it doesn't appear
to fix the problem

-------------------------

> I have two button mouse in three 
> button emulation mode and when I hit both mouse buttons to paste it not 
> only pastes, but it ALSO raises the context menu as if I had right 
> clicked.

Try to pass 'psmouse_noext=1' as a boot parameter.

> Anyone else have this problem?

And many others.  A mouse driver is not really in a good shape right
now in 2.6 kernels.

Comment 2 Dave Jones 2004-06-18 22:54:41 UTC
Fixed in the current kernel ?


Comment 3 Scott Baker 2004-11-28 06:28:08 UTC
Yes I believe this is fixed, you can mark it closed.


Note You need to log in before you can comment on or make changes to this bug.